Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7190 - smbfs needs smbmount not smbmnt
Summary: smbfs needs smbmount not smbmnt
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-21 07:57 UTC by Joseph Malicki
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-02 13:44:59 UTC


Attachments (Terms of Use)

Description Joseph Malicki 1999-11-21 07:57:54 UTC
With samba 2.0, smbmount should be used, not smbmnt, for autofs.... the
redhat patch to autofs incorrectly changes the behavior to use smbmnt,
which doesn't work when smbmount does.  Removing the last hunk of the
autofs-3.1.3-redhat.patch makes it work correctly.

Since the rpm is built on a system without samba, this doesn't matter as it
won't be included.

But perhaps there should be a separate autofs-samba package for this, that
is built on a system with smbmount installed, so that the automounter's smb
mounting will work without having a dependency on samba?

Comment 1 Nalin Dahyabhai 2000-02-02 13:44:59 UTC
This should be fixed with the versions of autofs and samba-client in Raw Hide,
which are slated to be in the next release.  The syntax for my test map is:
tmp		-fstype=smbfs,guest	://samba-server.example.com/tmp

If upgrading to these versions does not fix the problem for you, please
re-open this bug.  I will certainly want to fix it as soon as possible.


Note You need to log in before you can comment on or make changes to this bug.